const getters = {
  device: state => state.app.device,
  theme: state => state.app.theme,
  color: state => state.app.color,
  token: state => state.user.token,
  avatar: state => state.user.avatar ? state.user.avatar : 'http://chengshijiangren.oss-cn-beijing.aliyuncs.com/onsite-service-admin/img/1/1076549795625046016.png',
  nickname: state => state.user.name ? state.user.name : '未命名',
  welcome: state => state.user.welcome,
  roles: state => state.user.roles,
  userInfo: state => state.user.info,
  addRouters: state => state.permission.addRouters,
  buttons: state => state.user.buttons,
  size: state => [state.app.width, state.app.height]
};

export default getters